package cn.com.countrygarden.bi.main.dao.domainname;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.dto.domainname.DomainNameDTO;
import cn.com.countrygarden.bi.main.model.domainname.DomainName;
import com.github.pagehelper.PageRowBounds;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface DomainnameMapper extends Mapper<DomainName> {
    int checkIsDomainAdmin(@Param("userCode") String userCode);//domainName

    List<DomainName> getDomainnameList(@Param("domainName") DomainNameDTO domainName, @Param("userCode") String userCode, PageRowBounds pageRowBounds);

    //List<DomainName> getDomainnameList(@Param("domainName")DomainName domainName, @Param("userCode") String userCode, PageRowBounds pageRowBounds, @Param("timeMap") Map<String,Object> timeMap);
    //List<Role> getUserRoleList(@Param("role")Role role, @Param("userCode") String userCode, PageRowBounds pageRowBounds);
    int update(DomainName domainName);

    int publish(@Param("domain_id") Integer domain_id);

    int deleteMyself(@Param("domain_id") Integer domain_id);

}
